Get customer KYC status
curl --request GET \
--url https://api.business.bumxpress.com/customers/{customer_id}/kyc \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_status": "not_started",
"documents": [
{
"document_type": "national_id",
"document_number": "<string>",
"issue_country_code": "CM",
"issue_date": "2023-12-25",
"expiry_date": "2023-12-25",
"front_file_url": "<string>",
"back_file_url": "<string>",
"selfie_file_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "uploaded",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Customer KYC
Get customer KYC status
Read the latest KYC status and submitted documents for a customer.
GET
https://api.business.bumxpress.com
/
customers
/
{customer_id}
/
kyc
Get customer KYC status
curl --request GET \
--url https://api.business.bumxpress.com/customers/{customer_id}/kyc \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_status": "not_started",
"documents": [
{
"document_type": "national_id",
"document_number": "<string>",
"issue_country_code": "CM",
"issue_date": "2023-12-25",
"expiry_date": "2023-12-25",
"front_file_url": "<string>",
"back_file_url": "<string>",
"selfie_file_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "uploaded",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Use this endpoint to reconcile customer KYC state before payout or transfer flows that require provider compliance checks.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Path Parameters
Last modified on July 8, 2026